Bug 10668 - Improve suggestion detail page
Summary: Improve suggestion detail page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-31 19:36 UTC by Owen Leonard
Modified: 2014-12-07 20:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10668 - Improve suggestion detail page (9.35 KB, patch)
2013-07-31 19:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10668 - Improve suggestion detail page (9.36 KB, patch)
2013-08-02 16:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10668 - Improve suggestion detail page - QA Followup (1.12 KB, patch)
2013-08-02 16:52 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10668 - Improve suggestion detail page - QA Followup (1.19 KB, patch)
2013-08-05 02:02 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
[PASSED QA] Bug 10668 - Improve suggestion detail page (9.46 KB, patch)
2013-08-25 22:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10668 - Improve suggestion detail page - QA Followup (1.24 KB, patch)
2013-08-25 22:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-07-31 19:36:12 UTC
The suggestion detail page, shown if you click the title of a suggestion on the suggestion management page, could be more useful. I propose adding 'edit' and 'delete' buttons so that there are other options besides simply going back.
Comment 1 Owen Leonard 2013-07-31 19:47:28 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2013-08-02 03:42:25 UTC
It is a bit nicer to say
    return confirm(_("Are you sure you want to delete this suggestion?"));
rather than
            var is_confirmed = confirm(_("Are you sure you want to delete this suggestion?"));
            if (is_confirmed) {
                return true;
            } else {
                return false;
            }
Comment 3 Kyle M Hall 2013-08-02 16:51:11 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2013-08-02 16:52:53 UTC Comment hidden (obsolete)
Comment 5 Srdjan Jankovic 2013-08-05 02:02:57 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2013-08-25 22:05:39 UTC
Created attachment 20612 [details] [review]
[PASSED QA] Bug 10668 - Improve suggestion detail page

This patch makes several improvements to the suggestions template:

- Improved breadcrumbs and page title.
- Fixed a JavaScript error which appeared when viewing or editing a
  suggestion.
- Added an 'Edit' and a 'Delete' button to the suggestion detail page.
- Corrected capitalization.

To test:
- Perform various operations with suggestions management and
  confirm that page titles and breadcrumbs are correct.
- View the detail page for an individual suggestion and confirm that
  the edit and delete buttons work correctly.
- Confirm that there are no JavaScript errors when viewing or editing a
  suggestion, in particular when changing Acquisition information
  (quantity, currency, price).

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests, nice improvement.
Comment 7 Katrin Fischer 2013-08-25 22:05:49 UTC
Created attachment 20613 [details] [review]
[PASSED QA] Bug 10668 - Improve suggestion detail page - QA Followup

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 8 Galen Charlton 2013-10-04 03:21:23 UTC
Pushed to master.  Thanks, Owen!